png++ 0.2.10

Public Member Functions | List of all members
png::detail::const_packed_pixel_proxy< pixel > Class Template Reference

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::detail::const_packed_pixel_proxy< pixel >:

## Public Member Functions
| const_packed_pixel_proxy (byte const &ref, size_t index)
Public Member Functions inherited from png::detail::basic_packed_pixel_proxy< pixel, byte const & >
| basic_packed_pixel_proxy (byte const &ref)
| operator pixel () const

## Additional Inherited Members
Static Protected Member Functions inherited from png::detail::basic_packed_pixel_proxy< pixel, byte const & >
static size_t | get_shift (size_t index)
static size_t | get_pixels_per_byte ()
Protected Attributes inherited from png::detail::basic_packed_pixel_proxy< pixel, byte const & >
byte const & | m_ref
size_t | m_shift

## Constructor & Destructor Documentation

## ◆ const_packed_pixel_proxy()

template<class pixel>

png::detail::const_packed_pixel_proxy< pixel >::const_packed_pixel_proxy | ( | byte const & | ref,
|  | size_t | index )
| inline

References png::detail::basic_packed_pixel_proxy< pixel, byte const & >::basic_packed_pixel_proxy().

The documentation for this class was generated from the following file:

- pixel_buffer.hpp